package me.chyxion.tigon.webmvc;

import org.springframework.util.PathMatcher;
import org.springframework.web.servlet.HandlerInterceptor;

/**
 * @version 0.0.2
 * @since 0.0.1
 * @author Donghuang <br>
 * donghuang@wacai.com <br>
 * Jul 16, 2014 10:07:52 PM
 */
public interface TigonHandlerInterceptor extends HandlerInterceptor {

    /**
     * @return include path patterns
     */
    String[] includePathPatterns();

    /**
     * @return exinclude path patterns
     */
    String[] excludePathPatterns();

    /**
     * @return path matcher
     */
    PathMatcher pathMatcher();
}
